> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Delete user identities for identity provider

DELETE https://api-d.docusign.net/Management/v2/organizations/{organizationId}/users/{userId}/identities
Content-Type: application/json

Deletes all user identities linked to a specified identity provider.

The `id` request body property specifies the identity provider. To get the ID, call [getUserProfiles](/docs/admin-api/reference/usermanagement/esignusermanagement/getuserprofiles/) and copy the `provider_id` value you want to use.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `user_write`.

Reference: https://developers.docusign.com/docs/admin-api/reference/usermanagement/esignusermanagement/deleteidentities

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization GUID.
- `userId` (string, required) — The ID of the user to access.

### Body (application/json)

This endpoint expects a DeleteUserIdentityRequest.

- `identities` (list of UserIdentityRequest, required) — A list of identities.

## Response

### 200

OK

- `success` (boolean, optional) — When **true,** the request succeeded.
- `identities` (list of UserIdentityResponse, optional) — A list of identities to delete.

## Types

### UserIdentityRequest

User identity,

- `id` (string, optional) — The `provider_id` that is returned from calling `getUserProfiles`.

### UserIdentityResponse

Results of deleting a user identity.

- `id` (string, optional) — The ID of the result.
- `provider_id` (string, optional) — The ID of the identity provider.
- `user_id` (string, optional) — The user ID.
- `immutable_id` (string, optional) — A unique ID to identify the removed user.
- `error_details` (ErrorDetails, optional) — Errors.

### ErrorDetails

Errors.

- `error` (string, optional) — The code for the error.
- `error_description` (string, optional) — A description of the error.

## Examples

**Request**

```json
{
  "identities": [
    {}
  ]
}
```

**Response**

```json
{
  "success": true,
  "identities": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "provider_id": "00000000-0000-0000-0000-000000000000",
      "user_id": "00000000-0000-0000-0000-000000000000",
      "immutable_id": "string",
      "error_details": {
        "error": "string",
        "error_description": "string"
      }
    }
  ]
}
```